Package xg.md

# Class ProtocolMetadata.protocolIdentity.Builder

java.lang.Object
com.google.protobuf.AbstractMessageLite.Builder
com.google.protobuf.AbstractMessage.Builder<BuilderT>
com.google.protobuf.GeneratedMessageV3.Builder<ProtocolMetadata.protocolIdentity.Builder>
xg.md.ProtocolMetadata.protocolIdentity.Builder

All Implemented Interfaces:
  `Message.Builder`, `MessageLite.Builder`, `MessageLiteOrBuilder`, `MessageOrBuilder`, `Cloneable`, `ProtocolMetadata.protocolIdentityOrBuilder`

Enclosing class:
  ProtocolMetadata.protocolIdentity

public static final class ProtocolMetadata.protocolIdentity.Builder extends GeneratedMessageV3.Builder<ProtocolMetadata.protocolIdentity.Builder> implements ProtocolMetadata.protocolIdentityOrBuilder

     Represents a protocol identity

Protobuf type `xg.md.protocolIdentity`

## Method Summary

Modifier and Type
Method
Description
`ProtocolMetadata.protocolIdentity`
`build()`
Constructs the message based on the state of the Builder.
`ProtocolMetadata.protocolIdentity`
`buildPartial()`
Like `MessageLite.Builder.build()`, but does not throw an exception if the message is missing required fields.
`ProtocolMetadata.protocolIdentity.Builder`
`clear()`
Called by the initialization and clear code paths to allow subclasses to reset any of their builtin fields back to the initial values.
`ProtocolMetadata.protocolIdentity.Builder`
`clearAnonymousIdentity()`
anonymous identity
`ProtocolMetadata.protocolIdentity.Builder`
`clearCertFingerprintIdentity()`
cert fingerprint identity
`ProtocolMetadata.protocolIdentity.Builder`
`clearHostnameIdentity()`
hostname identity
`ProtocolMetadata.protocolIdentity.Builder`
`clearIdentity()`
`ProtocolMetadata.protocolIdentity.Builder`
`clearType()`
The type of the identity
`ProtocolMetadata.protocolIdentity.anonymousIdentity`
`getAnonymousIdentity()`
anonymous identity
`ProtocolMetadata.protocolIdentity.anonymousIdentity.Builder`
`getAnonymousIdentityBuilder()`
anonymous identity
`ProtocolMetadata.protocolIdentity.anonymousIdentityOrBuilder`
`getAnonymousIdentityOrBuilder()`
anonymous identity
`ProtocolMetadata.protocolIdentity.certFingerprintIdentity`
`getCertFingerprintIdentity()`
cert fingerprint identity
`ProtocolMetadata.protocolIdentity.certFingerprintIdentity.Builder`
`getCertFingerprintIdentityBuilder()`
cert fingerprint identity
`ProtocolMetadata.protocolIdentity.certFingerprintIdentityOrBuilder`
`getCertFingerprintIdentityOrBuilder()`
cert fingerprint identity
`ProtocolMetadata.protocolIdentity`
`getDefaultInstanceForType()`
Get an instance of the type with no fields set.
`static final Descriptors.Descriptor`
`getDescriptor()`
`Descriptors.Descriptor`
`getDescriptorForType()`
Get the message's type's descriptor.
`ProtocolMetadata.protocolIdentity.hostnameIdentity`
`getHostnameIdentity()`
hostname identity
`ProtocolMetadata.protocolIdentity.hostnameIdentity.Builder`
`getHostnameIdentityBuilder()`
hostname identity
`ProtocolMetadata.protocolIdentity.hostnameIdentityOrBuilder`
`getHostnameIdentityOrBuilder()`
hostname identity
`ProtocolMetadata.protocolIdentity.IdentityCase`
`getIdentityCase()`
`ProtocolMetadata.protocolIdentity.identityType`
`getType()`
The type of the identity
`int`
`getTypeValue()`
The type of the identity
`boolean`
`hasAnonymousIdentity()`
anonymous identity
`boolean`
`hasCertFingerprintIdentity()`
cert fingerprint identity
`boolean`
`hasHostnameIdentity()`
hostname identity
`protected GeneratedMessageV3.FieldAccessorTable`
`internalGetFieldAccessorTable()`
Get the FieldAccessorTable for this type.
`final boolean`
`isInitialized()`
Returns true if all required fields in the message and all embedded messages are set, false otherwise.
`ProtocolMetadata.protocolIdentity.Builder`
`mergeAnonymousIdentity(ProtocolMetadata.protocolIdentity.anonymousIdentity value)`
anonymous identity
`ProtocolMetadata.protocolIdentity.Builder`
`mergeCertFingerprintIdentity(ProtocolMetadata.protocolIdentity.certFingerprintIdentity value)`
cert fingerprint identity
`ProtocolMetadata.protocolIdentity.Builder`
`mergeFrom(CodedInputStream input, ExtensionRegistryLite extensionRegistry)`
Like `MessageLite.Builder.mergeFrom(CodedInputStream)`, but also parses extensions.
`ProtocolMetadata.protocolIdentity.Builder`
`mergeFrom(Message other)`
Merge `other` into the message being built.
`ProtocolMetadata.protocolIdentity.Builder`
`mergeFrom(ProtocolMetadata.protocolIdentity other)`
`ProtocolMetadata.protocolIdentity.Builder`
`mergeHostnameIdentity(ProtocolMetadata.protocolIdentity.hostnameIdentity value)`
hostname identity
`final ProtocolMetadata.protocolIdentity.Builder`
`mergeUnknownFields(UnknownFieldSet unknownFields)`
Merge some unknown fields into the `UnknownFieldSet` for this message.
`ProtocolMetadata.protocolIdentity.Builder`
`setAnonymousIdentity(ProtocolMetadata.protocolIdentity.anonymousIdentity value)`
anonymous identity
`ProtocolMetadata.protocolIdentity.Builder`
`setAnonymousIdentity(ProtocolMetadata.protocolIdentity.anonymousIdentity.Builder builderForValue)`
anonymous identity
`ProtocolMetadata.protocolIdentity.Builder`
`setCertFingerprintIdentity(ProtocolMetadata.protocolIdentity.certFingerprintIdentity value)`
cert fingerprint identity
`ProtocolMetadata.protocolIdentity.Builder`
`setCertFingerprintIdentity(ProtocolMetadata.protocolIdentity.certFingerprintIdentity.Builder builderForValue)`
cert fingerprint identity
`ProtocolMetadata.protocolIdentity.Builder`
`setHostnameIdentity(ProtocolMetadata.protocolIdentity.hostnameIdentity value)`
hostname identity
`ProtocolMetadata.protocolIdentity.Builder`
`setHostnameIdentity(ProtocolMetadata.protocolIdentity.hostnameIdentity.Builder builderForValue)`
hostname identity
`ProtocolMetadata.protocolIdentity.Builder`
`setType(ProtocolMetadata.protocolIdentity.identityType value)`
The type of the identity
`ProtocolMetadata.protocolIdentity.Builder`
`setTypeValue(int value)`
The type of the identity
`final ProtocolMetadata.protocolIdentity.Builder`
`setUnknownFields(UnknownFieldSet unknownFields)`
Set the `UnknownFieldSet` for this message.

### Methods inherited from class com.google.protobuf.GeneratedMessageV3.Builder

`addRepeatedField, clearField, clearOneof, clone, getAllFields, getField, getFieldBuilder, getOneofFieldDescriptor, getParentForChildren, getRepeatedField, getRepeatedFieldBuilder, getRepeatedFieldCount, getUnknownFields, getUnknownFieldSetBuilder, hasField, hasOneof, internalGetMapField, internalGetMutableMapField, isClean, markClean, mergeUnknownLengthDelimitedField, mergeUnknownVarintField, newBuilderForField, onBuilt, onChanged, parseUnknownField, setField, setRepeatedField, setUnknownFieldSetBuilder, setUnknownFieldsProto3`

### Methods inherited from class com.google.protobuf.AbstractMessage.Builder

`findInitializationErrors, getInitializationErrorString, internalMergeFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, newUninitializedMessageException, toString`

### Methods inherited from class com.google.protobuf.AbstractMessageLite.Builder

`addAll, addAll, mergeDelimitedFrom, mergeDelimitedFrom, mergeFrom, newUninitializedMessageException`

### Methods inherited from class java.lang.Object

`equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Methods inherited from interface com.google.protobuf.Message.Builder

`mergeDelimitedFrom, mergeDelimitedFrom`

### Methods inherited from interface com.google.protobuf.MessageLite.Builder

`mergeFrom`

### Methods inherited from interface com.google.protobuf.MessageOrBuilder

`findInitializationErrors, getAllFields, getField, getInitializationErrorString, getOneofFieldDescriptor, getRepeatedField, getRepeatedFieldCount, getUnknownFields, hasField, hasOneof`

## Method Details

### getDescriptor

public static final Descriptors.Descriptor getDescriptor()

### internalGetFieldAccessorTable

protected GeneratedMessageV3.FieldAccessorTable internalGetFieldAccessorTable()
Description copied from class: `GeneratedMessageV3.Builder`
Get the FieldAccessorTable for this type. We can't have the message class pass this in to the constructor because of bootstrapping trouble with DescriptorProtos.

Specified by:
  `internalGetFieldAccessorTable` in class `GeneratedMessageV3.Builder<ProtocolMetadata.protocolIdentity.Builder>`

### clear

public ProtocolMetadata.protocolIdentity.Builder clear()
Description copied from class: `GeneratedMessageV3.Builder`
Called by the initialization and clear code paths to allow subclasses to reset any of their builtin fields back to the initial values.

Specified by:
  `clear` in interface `Message.Builder`
Specified by:
  `clear` in interface `MessageLite.Builder`
Overrides:
  `clear` in class `GeneratedMessageV3.Builder<ProtocolMetadata.protocolIdentity.Builder>`

### getDescriptorForType

public Descriptors.Descriptor getDescriptorForType()
Description copied from interface: `Message.Builder`
Get the message's type's descriptor. See `MessageOrBuilder.getDescriptorForType()`.

Specified by:
  `getDescriptorForType` in interface `Message.Builder`
Specified by:
  `getDescriptorForType` in interface `MessageOrBuilder`
Overrides:
  `getDescriptorForType` in class `GeneratedMessageV3.Builder<ProtocolMetadata.protocolIdentity.Builder>`

### getDefaultInstanceForType

public ProtocolMetadata.protocolIdentity getDefaultInstanceForType()
Description copied from interface: `MessageLiteOrBuilder`
Get an instance of the type with no fields set. Because no fields are set, all getters for singular fields will return default values and repeated fields will appear empty. This may or may not be a singleton. This differs from the `getDefaultInstance()` method of generated message classes in that this method is an abstract method of the `MessageLite` interface whereas `getDefaultInstance()` is a static method of a specific class. They return the same thing.

Specified by:
  `getDefaultInstanceForType` in interface `MessageLiteOrBuilder`
Specified by:
  `getDefaultInstanceForType` in interface `MessageOrBuilder`

### build

public ProtocolMetadata.protocolIdentity build()
Description copied from interface: `MessageLite.Builder`
Constructs the message based on the state of the Builder. Subsequent changes to the Builder will not affect the returned message.

Specified by:
  `build` in interface `Message.Builder`
Specified by:
  `build` in interface `MessageLite.Builder`

### buildPartial

public ProtocolMetadata.protocolIdentity buildPartial()
Description copied from interface: `MessageLite.Builder`
Like `MessageLite.Builder.build()`, but does not throw an exception if the message is missing required fields. Instead, a partial message is returned. Subsequent changes to the Builder will not affect the returned message.

Specified by:
  `buildPartial` in interface `Message.Builder`
Specified by:
  `buildPartial` in interface `MessageLite.Builder`

### mergeFrom

public ProtocolMetadata.protocolIdentity.Builder mergeFrom(Message other)
Description copied from interface: `Message.Builder`
Merge `other` into the message being built. `other` must have the exact same type as `this` (i.e. `getDescriptorForType() == other.getDescriptorForType()`).

Merging occurs as follows. For each field:
* For singular primitive fields, if the field is set in `other`, then `other`'s value overwrites the value in this message.
* For singular message fields, if the field is set in `other`, it is merged into the corresponding sub-message of this message using the same merging rules.
* For repeated fields, the elements in `other` are concatenated with the elements in this message.
* For oneof groups, if the other message has one of the fields set, the group of this message is cleared and replaced by the field of the other message, so that the oneof constraint is preserved.

This is equivalent to the `Message::MergeFrom` method in C++.

Specified by:
  `mergeFrom` in interface `Message.Builder`
Overrides:
  `mergeFrom` in class `AbstractMessage.Builder<ProtocolMetadata.protocolIdentity.Builder>`

### mergeFrom

public ProtocolMetadata.protocolIdentity.Builder mergeFrom(ProtocolMetadata.protocolIdentity other)

### isInitialized

public final boolean isInitialized()
Description copied from interface: `MessageLiteOrBuilder`
Returns true if all required fields in the message and all embedded messages are set, false otherwise.

See also: `MessageOrBuilder.getInitializationErrorString()`

Specified by:
  `isInitialized` in interface `MessageLiteOrBuilder`
Overrides:
  `isInitialized` in class `GeneratedMessageV3.Builder<ProtocolMetadata.protocolIdentity.Builder>`

### mergeFrom

public ProtocolMetadata.protocolIdentity.Builder mergeFrom(CodedInputStream input, ExtensionRegistryLite extensionRegistry) throws IOException
Description copied from interface: `MessageLite.Builder`
Like `MessageLite.Builder.mergeFrom(CodedInputStream)`, but also parses extensions. The extensions that you want to be able to parse must be registered in `extensionRegistry`. Extensions not in the registry will be treated as unknown fields.

Specified by:
  `mergeFrom` in interface `Message.Builder`
Specified by:
  `mergeFrom` in interface `MessageLite.Builder`
Overrides:
  `mergeFrom` in class `AbstractMessage.Builder<ProtocolMetadata.protocolIdentity.Builder>`
Throws:
  `InvalidProtocolBufferException` - the bytes read are not syntactically correct according to the protobuf wire format specification. The data is corrupt, incomplete, or was never a protobuf in the first place.
  `IOException` - an I/O error reading from the stream

### getIdentityCase

public ProtocolMetadata.protocolIdentity.IdentityCase getIdentityCase()

Specified by:
  `getIdentityCase` in interface `ProtocolMetadata.protocolIdentityOrBuilder`

### clearIdentity

public ProtocolMetadata.protocolIdentity.Builder clearIdentity()

### getTypeValue

public int getTypeValue()

     The type of the identity

`.xg.md.protocolIdentity.identityType type = 1;`

Specified by:
  `getTypeValue` in interface `ProtocolMetadata.protocolIdentityOrBuilder`
Returns:
  The enum numeric value on the wire for type.

### setTypeValue

public ProtocolMetadata.protocolIdentity.Builder setTypeValue(int value)

     The type of the identity

`.xg.md.protocolIdentity.identityType type = 1;`

Parameters:
  `value` - The enum numeric value on the wire for type to set.
Returns:
  This builder for chaining.

### getType

public ProtocolMetadata.protocolIdentity.identityType getType()

     The type of the identity

`.xg.md.protocolIdentity.identityType type = 1;`

Specified by:
  `getType` in interface `ProtocolMetadata.protocolIdentityOrBuilder`
Returns:
  The type.

### setType

public ProtocolMetadata.protocolIdentity.Builder setType(ProtocolMetadata.protocolIdentity.identityType value)

     The type of the identity

`.xg.md.protocolIdentity.identityType type = 1;`

Parameters:
  `value` - The type to set.
Returns:
  This builder for chaining.

### clearType

public ProtocolMetadata.protocolIdentity.Builder clearType()

     The type of the identity

`.xg.md.protocolIdentity.identityType type = 1;`

Returns:
  This builder for chaining.

### hasHostnameIdentity

public boolean hasHostnameIdentity()

     hostname identity

`.xg.md.protocolIdentity.hostnameIdentity hostname_identity = 11;`

Specified by:
  `hasHostnameIdentity` in interface `ProtocolMetadata.protocolIdentityOrBuilder`
Returns:
  Whether the hostnameIdentity field is set.

### getHostnameIdentity

public ProtocolMetadata.protocolIdentity.hostnameIdentity getHostnameIdentity()

     hostname identity

`.xg.md.protocolIdentity.hostnameIdentity hostname_identity = 11;`

Specified by:
  `getHostnameIdentity` in interface `ProtocolMetadata.protocolIdentityOrBuilder`
Returns:
  The hostnameIdentity.

### setHostnameIdentity

public ProtocolMetadata.protocolIdentity.Builder setHostnameIdentity(ProtocolMetadata.protocolIdentity.hostnameIdentity value)

     hostname identity

`.xg.md.protocolIdentity.hostnameIdentity hostname_identity = 11;`

### setHostnameIdentity

public ProtocolMetadata.protocolIdentity.Builder setHostnameIdentity(ProtocolMetadata.protocolIdentity.hostnameIdentity.Builder builderForValue)

     hostname identity

`.xg.md.protocolIdentity.hostnameIdentity hostname_identity = 11;`

### mergeHostnameIdentity

public ProtocolMetadata.protocolIdentity.Builder mergeHostnameIdentity(ProtocolMetadata.protocolIdentity.hostnameIdentity value)

     hostname identity

`.xg.md.protocolIdentity.hostnameIdentity hostname_identity = 11;`

### clearHostnameIdentity

public ProtocolMetadata.protocolIdentity.Builder clearHostnameIdentity()

     hostname identity

`.xg.md.protocolIdentity.hostnameIdentity hostname_identity = 11;`

### getHostnameIdentityBuilder

public ProtocolMetadata.protocolIdentity.hostnameIdentity.Builder getHostnameIdentityBuilder()

     hostname identity

`.xg.md.protocolIdentity.hostnameIdentity hostname_identity = 11;`

### getHostnameIdentityOrBuilder

public ProtocolMetadata.protocolIdentity.hostnameIdentityOrBuilder getHostnameIdentityOrBuilder()

     hostname identity

`.xg.md.protocolIdentity.hostnameIdentity hostname_identity = 11;`

Specified by:
  `getHostnameIdentityOrBuilder` in interface `ProtocolMetadata.protocolIdentityOrBuilder`

### hasAnonymousIdentity

public boolean hasAnonymousIdentity()

     anonymous identity

`.xg.md.protocolIdentity.anonymousIdentity anonymous_identity = 12;`

Specified by:
  `hasAnonymousIdentity` in interface `ProtocolMetadata.protocolIdentityOrBuilder`
Returns:
  Whether the anonymousIdentity field is set.

### getAnonymousIdentity

public ProtocolMetadata.protocolIdentity.anonymousIdentity getAnonymousIdentity()

     anonymous identity

`.xg.md.protocolIdentity.anonymousIdentity anonymous_identity = 12;`

Specified by:
  `getAnonymousIdentity` in interface `ProtocolMetadata.protocolIdentityOrBuilder`
Returns:
  The anonymousIdentity.

### setAnonymousIdentity

public ProtocolMetadata.protocolIdentity.Builder setAnonymousIdentity(ProtocolMetadata.protocolIdentity.anonymousIdentity value)

     anonymous identity

`.xg.md.protocolIdentity.anonymousIdentity anonymous_identity = 12;`

### setAnonymousIdentity

public ProtocolMetadata.protocolIdentity.Builder setAnonymousIdentity(ProtocolMetadata.protocolIdentity.anonymousIdentity.Builder builderForValue)

     anonymous identity

`.xg.md.protocolIdentity.anonymousIdentity anonymous_identity = 12;`

### mergeAnonymousIdentity

public ProtocolMetadata.protocolIdentity.Builder mergeAnonymousIdentity(ProtocolMetadata.protocolIdentity.anonymousIdentity value)

     anonymous identity

`.xg.md.protocolIdentity.anonymousIdentity anonymous_identity = 12;`

### clearAnonymousIdentity

public ProtocolMetadata.protocolIdentity.Builder clearAnonymousIdentity()

     anonymous identity

`.xg.md.protocolIdentity.anonymousIdentity anonymous_identity = 12;`

### getAnonymousIdentityBuilder

public ProtocolMetadata.protocolIdentity.anonymousIdentity.Builder getAnonymousIdentityBuilder()

     anonymous identity

`.xg.md.protocolIdentity.anonymousIdentity anonymous_identity = 12;`

### getAnonymousIdentityOrBuilder

public ProtocolMetadata.protocolIdentity.anonymousIdentityOrBuilder getAnonymousIdentityOrBuilder()

     anonymous identity

`.xg.md.protocolIdentity.anonymousIdentity anonymous_identity = 12;`

Specified by:
  `getAnonymousIdentityOrBuilder` in interface `ProtocolMetadata.protocolIdentityOrBuilder`

### hasCertFingerprintIdentity

public boolean hasCertFingerprintIdentity()

     cert fingerprint identity

`.xg.md.protocolIdentity.certFingerprintIdentity cert_fingerprint_identity = 13;`

Specified by:
  `hasCertFingerprintIdentity` in interface `ProtocolMetadata.protocolIdentityOrBuilder`
Returns:
  Whether the certFingerprintIdentity field is set.

### getCertFingerprintIdentity

public ProtocolMetadata.protocolIdentity.certFingerprintIdentity getCertFingerprintIdentity()

     cert fingerprint identity

`.xg.md.protocolIdentity.certFingerprintIdentity cert_fingerprint_identity = 13;`

Specified by:
  `getCertFingerprintIdentity` in interface `ProtocolMetadata.protocolIdentityOrBuilder`
Returns:
  The certFingerprintIdentity.

### setCertFingerprintIdentity

public ProtocolMetadata.protocolIdentity.Builder setCertFingerprintIdentity(ProtocolMetadata.protocolIdentity.certFingerprintIdentity value)

     cert fingerprint identity

`.xg.md.protocolIdentity.certFingerprintIdentity cert_fingerprint_identity = 13;`

### setCertFingerprintIdentity

public ProtocolMetadata.protocolIdentity.Builder setCertFingerprintIdentity(ProtocolMetadata.protocolIdentity.certFingerprintIdentity.Builder builderForValue)

     cert fingerprint identity

`.xg.md.protocolIdentity.certFingerprintIdentity cert_fingerprint_identity = 13;`

### mergeCertFingerprintIdentity

public ProtocolMetadata.protocolIdentity.Builder mergeCertFingerprintIdentity(ProtocolMetadata.protocolIdentity.certFingerprintIdentity value)

     cert fingerprint identity

`.xg.md.protocolIdentity.certFingerprintIdentity cert_fingerprint_identity = 13;`

### clearCertFingerprintIdentity

public ProtocolMetadata.protocolIdentity.Builder clearCertFingerprintIdentity()

     cert fingerprint identity

`.xg.md.protocolIdentity.certFingerprintIdentity cert_fingerprint_identity = 13;`

### getCertFingerprintIdentityBuilder

public ProtocolMetadata.protocolIdentity.certFingerprintIdentity.Builder getCertFingerprintIdentityBuilder()

     cert fingerprint identity

`.xg.md.protocolIdentity.certFingerprintIdentity cert_fingerprint_identity = 13;`

### getCertFingerprintIdentityOrBuilder

public ProtocolMetadata.protocolIdentity.certFingerprintIdentityOrBuilder getCertFingerprintIdentityOrBuilder()

     cert fingerprint identity

`.xg.md.protocolIdentity.certFingerprintIdentity cert_fingerprint_identity = 13;`

Specified by:
  `getCertFingerprintIdentityOrBuilder` in interface `ProtocolMetadata.protocolIdentityOrBuilder`

### setUnknownFields

public final ProtocolMetadata.protocolIdentity.Builder setUnknownFields(UnknownFieldSet unknownFields)
Description copied from interface: `Message.Builder`
Set the `UnknownFieldSet` for this message.

Specified by:
  `setUnknownFields` in interface `Message.Builder`
Overrides:
  `setUnknownFields` in class `GeneratedMessageV3.Builder<ProtocolMetadata.protocolIdentity.Builder>`

### mergeUnknownFields

public final ProtocolMetadata.protocolIdentity.Builder mergeUnknownFields(UnknownFieldSet unknownFields)
Description copied from interface: `Message.Builder`
Merge some unknown fields into the `UnknownFieldSet` for this message.

Specified by:
  `mergeUnknownFields` in interface `Message.Builder`
Overrides:
  `mergeUnknownFields` in class `GeneratedMessageV3.Builder<ProtocolMetadata.protocolIdentity.Builder>`